diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-routing-protocol.h ns-3.44/src/olsr/model/olsr-routing-protocol.h
--- ns-3.43/src/olsr/model/olsr-routing-protocol.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-routing-protocol.h	2025-03-09 16:55:49.683372300 -0700
@@ -556,214 +556,214 @@
     void SendQueuedMessages();
 
     /**
-     * \brief Creates a new %OLSR HELLO message which is buffered for being sent later on.
+     * @brief Creates a new %OLSR HELLO message which is buffered for being sent later on.
      */
     void SendHello();
 
     /**
-     * \brief Creates a new %OLSR TC message which is buffered for being sent later on.
+     * @brief Creates a new %OLSR TC message which is buffered for being sent later on.
      */
     void SendTc();
 
     /**
-     * \brief Creates a new %OLSR MID message which is buffered for being sent later on.
+     * @brief Creates a new %OLSR MID message which is buffered for being sent later on.
      */
     void SendMid();
 
     /**
-     * \brief Creates a new %OLSR HNA message which is buffered for being sent later on.
+     * @brief Creates a new %OLSR HNA message which is buffered for being sent later on.
      */
     void SendHna();
 
     /**
-     * \brief Performs all actions needed when a neighbor loss occurs.
+     * @brief Performs all actions needed when a neighbor loss occurs.
      *
      * Neighbor Set, 2-hop Neighbor Set, MPR Set and MPR Selector Set are updated.
      *
-     * \param tuple link tuple with the information of the link to the neighbor which has been lost.
+     * @param tuple link tuple with the information of the link to the neighbor which has been lost.
      */
     void NeighborLoss(const LinkTuple& tuple);
 
     /**
-     * \brief Adds a duplicate tuple to the Duplicate Set.
+     * @brief Adds a duplicate tuple to the Duplicate Set.
      *
-     * \param tuple The duplicate tuple to be added.
+     * @param tuple The duplicate tuple to be added.
      */
     void AddDuplicateTuple(const DuplicateTuple& tuple);
 
     /**
-     * \brief Removes a duplicate tuple from the Duplicate Set.
+     * @brief Removes a duplicate tuple from the Duplicate Set.
      *
-     * \param tuple The duplicate tuple to be removed.
+     * @param tuple The duplicate tuple to be removed.
      */
     void RemoveDuplicateTuple(const DuplicateTuple& tuple);
 
     /**
      * Adds a link tuple.
-     * \param tuple The tuple to be added.
-     * \param willingness The tuple willingness.
+     * @param tuple The tuple to be added.
+     * @param willingness The tuple willingness.
      */
     void LinkTupleAdded(const LinkTuple& tuple, Willingness willingness);
 
     /**
-     * \brief Removes a link tuple from the Link Set.
+     * @brief Removes a link tuple from the Link Set.
      *
-     * \param tuple The link tuple to be removed.
+     * @param tuple The link tuple to be removed.
      */
     void RemoveLinkTuple(const LinkTuple& tuple);
 
     /**
-     * \brief This function is invoked when a link tuple is updated. Its aim is to
+     * @brief This function is invoked when a link tuple is updated. Its aim is to
      * also update the corresponding neighbor tuple if it is needed.
      *
-     * \param tuple The link tuple which has been updated.
-     * \param willingness The tuple willingness.
+     * @param tuple The link tuple which has been updated.
+     * @param willingness The tuple willingness.
      */
     void LinkTupleUpdated(const LinkTuple& tuple, Willingness willingness);
 
     /**
-     * \brief Adds a neighbor tuple to the Neighbor Set.
+     * @brief Adds a neighbor tuple to the Neighbor Set.
      *
-     * \param tuple The neighbor tuple to be added.
+     * @param tuple The neighbor tuple to be added.
      */
     void AddNeighborTuple(const NeighborTuple& tuple);
 
     /**
-     * \brief Removes a neighbor tuple from the Neighbor Set.
+     * @brief Removes a neighbor tuple from the Neighbor Set.
      *
-     * \param tuple The neighbor tuple to be removed.
+     * @param tuple The neighbor tuple to be removed.
      */
     void RemoveNeighborTuple(const NeighborTuple& tuple);
 
     /**
-     * \brief Adds a 2-hop neighbor tuple to the 2-hop Neighbor Set.
+     * @brief Adds a 2-hop neighbor tuple to the 2-hop Neighbor Set.
      *
-     * \param tuple The 2-hop neighbor tuple to be added.
+     * @param tuple The 2-hop neighbor tuple to be added.
      */
     void AddTwoHopNeighborTuple(const TwoHopNeighborTuple& tuple);
 
     /**
-     * \brief Removes a 2-hop neighbor tuple from the 2-hop Neighbor Set.
+     * @brief Removes a 2-hop neighbor tuple from the 2-hop Neighbor Set.
      *
-     * \param tuple The 2-hop neighbor tuple to be removed.
+     * @param tuple The 2-hop neighbor tuple to be removed.
      */
     void RemoveTwoHopNeighborTuple(const TwoHopNeighborTuple& tuple);
 
     /**
-     * \brief Adds an MPR selector tuple to the MPR Selector Set.
+     * @brief Adds an MPR selector tuple to the MPR Selector Set.
      * Advertised Neighbor Sequence Number (ANSN) is also updated.
      *
-     * \param tuple The MPR selector tuple to be added.
+     * @param tuple The MPR selector tuple to be added.
      */
     void AddMprSelectorTuple(const MprSelectorTuple& tuple);
 
     /**
-     * \brief Removes an MPR selector tuple from the MPR Selector Set.
+     * @brief Removes an MPR selector tuple from the MPR Selector Set.
      * Advertised Neighbor Sequence Number (ANSN) is also updated.
      *
-     * \param tuple The MPR selector tuple to be removed.
+     * @param tuple The MPR selector tuple to be removed.
      */
     void RemoveMprSelectorTuple(const MprSelectorTuple& tuple);
 
     /**
-     * \brief Adds a topology tuple to the Topology Set.
+     * @brief Adds a topology tuple to the Topology Set.
      *
-     * \param tuple The topology tuple to be added.
+     * @param tuple The topology tuple to be added.
      */
     void AddTopologyTuple(const TopologyTuple& tuple);
 
     /**
-     * \brief Removes a topology tuple to the Topology Set.
+     * @brief Removes a topology tuple to the Topology Set.
      *
-     * \param tuple The topology tuple to be removed.
+     * @param tuple The topology tuple to be removed.
      */
     void RemoveTopologyTuple(const TopologyTuple& tuple);
 
     /**
-     * \brief Adds an interface association tuple to the Interface Association Set.
+     * @brief Adds an interface association tuple to the Interface Association Set.
      *
-     * \param tuple The interface association tuple to be added.
+     * @param tuple The interface association tuple to be added.
      */
     void AddIfaceAssocTuple(const IfaceAssocTuple& tuple);
 
     /**
-     * \brief Removed an interface association tuple to the Interface Association Set.
+     * @brief Removed an interface association tuple to the Interface Association Set.
      *
-     * \param tuple The interface association tuple to be removed.
+     * @param tuple The interface association tuple to be removed.
      */
     void RemoveIfaceAssocTuple(const IfaceAssocTuple& tuple);
 
     /**
-     * \brief Adds a host network association tuple to the Association Set.
+     * @brief Adds a host network association tuple to the Association Set.
      *
-     * \param tuple The host network association tuple to be added.
+     * @param tuple The host network association tuple to be added.
      */
     void AddAssociationTuple(const AssociationTuple& tuple);
 
     /**
-     * \brief Removes a host network association tuple to the Association Set.
+     * @brief Removes a host network association tuple to the Association Set.
      *
-     * \param tuple The host network association tuple to be removed.
+     * @param tuple The host network association tuple to be removed.
      */
     void RemoveAssociationTuple(const AssociationTuple& tuple);
 
     /**
-     * \brief Processes a HELLO message following \RFC{3626} specification.
+     * @brief Processes a HELLO message following \RFC{3626} specification.
      *
      * Link sensing and population of the Neighbor Set, 2-hop Neighbor Set and MPR
      * Selector Set are performed.
      *
-     * \param msg the %OLSR message which contains the HELLO message.
-     * \param receiverIface the address of the interface where the message was received from.
-     * \param senderIface the address of the interface where the message was sent from.
+     * @param msg the %OLSR message which contains the HELLO message.
+     * @param receiverIface the address of the interface where the message was received from.
+     * @param senderIface the address of the interface where the message was sent from.
      */
     void ProcessHello(const olsr::MessageHeader& msg,
                       const Ipv4Address& receiverIface,
                       const Ipv4Address& senderIface);
 
     /**
-     * \brief Processes a TC message following \RFC{3626} specification.
+     * @brief Processes a TC message following \RFC{3626} specification.
      *
      * The Topology Set is updated (if needed) with the information of
      * the received TC message.
      *
-     * \param msg The %OLSR message which contains the TC message.
-     * \param senderIface The address of the interface where the message was sent from.
+     * @param msg The %OLSR message which contains the TC message.
+     * @param senderIface The address of the interface where the message was sent from.
      *
      */
     void ProcessTc(const olsr::MessageHeader& msg, const Ipv4Address& senderIface);
 
     /**
-     * \brief Processes a MID message following \RFC{3626} specification.
+     * @brief Processes a MID message following \RFC{3626} specification.
      *
      * The Interface Association Set is updated (if needed) with the information
      * of the received MID message.
      *
-     * \param msg the %OLSR message which contains the MID message.
-     * \param senderIface the address of the interface where the message was sent from.
+     * @param msg the %OLSR message which contains the MID message.
+     * @param senderIface the address of the interface where the message was sent from.
      */
     void ProcessMid(const olsr::MessageHeader& msg, const Ipv4Address& senderIface);
 
     /**
      *
-     * \brief Processes a HNA message following \RFC{3626} specification.
+     * @brief Processes a HNA message following \RFC{3626} specification.
      *
      * The Host Network Association Set is updated (if needed) with the information
      * of the received HNA message.
      *
-     * \param msg the %OLSR message which contains the HNA message.
-     * \param senderIface the address of the interface where the message was sent from.
+     * @param msg the %OLSR message which contains the HNA message.
+     * @param senderIface the address of the interface where the message was sent from.
      *
      */
     void ProcessHna(const olsr::MessageHeader& msg, const Ipv4Address& senderIface);
 
     /**
-     * \brief Updates Link Set according to a new received HELLO message
+     * @brief Updates Link Set according to a new received HELLO message
      * (following \RFC{3626} specification). Neighbor Set is also updated if needed.
-     * \param msg The received message.
-     * \param hello The received HELLO sub-message.
-     * \param receiverIface The interface that received the message.
-     * \param senderIface The sender interface.
+     * @param msg The received message.
+     * @param hello The received HELLO sub-message.
+     * @param receiverIface The interface that received the message.
+     * @param senderIface The sender interface.
      */
     void LinkSensing(const olsr::MessageHeader& msg,
                      const olsr::MessageHeader::Hello& hello,
@@ -771,28 +771,28 @@
                      const Ipv4Address& senderIface);
 
     /**
-     * \brief Updates the Neighbor Set according to the information contained in
+     * @brief Updates the Neighbor Set according to the information contained in
      * a new received HELLO message (following \RFC{3626}).
-     * \param msg The received message.
-     * \param hello The received HELLO sub-message.
+     * @param msg The received message.
+     * @param hello The received HELLO sub-message.
      */
     void PopulateNeighborSet(const olsr::MessageHeader& msg,
                              const olsr::MessageHeader::Hello& hello);
 
     /**
-     * \brief Updates the 2-hop Neighbor Set according to the information contained
+     * @brief Updates the 2-hop Neighbor Set according to the information contained
      * in a new received HELLO message (following \RFC{3626}).
-     * \param msg The received message.
-     * \param hello The received HELLO sub-message.
+     * @param msg The received message.
+     * @param hello The received HELLO sub-message.
      */
     void PopulateTwoHopNeighborSet(const olsr::MessageHeader& msg,
                                    const olsr::MessageHeader::Hello& hello);
 
     /**
-     * \brief Updates the MPR Selector Set according to the information contained in
+     * @brief Updates the MPR Selector Set according to the information contained in
      * a new received HELLO message (following \RFC{3626}).
-     * \param msg The received message.
-     * \param hello The received HELLO sub-message.
+     * @param msg The received message.
+     * @param hello The received HELLO sub-message.
      */
     void PopulateMprSelectorSet(const olsr::MessageHeader& msg,
                                 const olsr::MessageHeader::Hello& hello);
@@ -801,8 +801,8 @@
 
     /**
      * Check that address is one of my interfaces.
-     * \param a the address to check.
-     * \return true if the address is own by the node.
+     * @param a the address to check.
+     * @return true if the address is own by the node.
      */
     bool IsMyOwnAddress(const Ipv4Address& a) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-state.cc ns-3.44/src/olsr/model/olsr-state.cc
--- ns-3.43/src/olsr/model/olsr-state.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-state.cc	2025-03-09 16:55:49.683372300 -0700
@@ -9,8 +9,8 @@
  */
 
 ///
-/// \file olsr-state.cc
-/// \brief Implementation of all functions needed for manipulating the internal
+/// @file olsr-state.cc
+/// @brief Implementation of all functions needed for manipulating the internal
 ///        state of an OLSR node.
 ///
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-state.h ns-3.44/src/olsr/model/olsr-state.h
--- ns-3.43/src/olsr/model/olsr-state.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-state.h	2025-03-09 16:55:49.683372300 -0700
@@ -18,7 +18,7 @@
 namespace olsr
 {
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// This class encapsulates all data structures needed for maintaining internal state of an OLSR
 /// node.
 class OlsrState
@@ -48,7 +48,7 @@
 
     /**
      * Gets the MPR selectors.
-     * \returns The MPR selectors.
+     * @returns The MPR selectors.
      */
     const MprSelectorSet& GetMprSelectors() const
     {
@@ -57,32 +57,32 @@
 
     /**
      * Finds a MPR selector tuple.
-     * \param mainAddr The MPR selector main address.
-     * \returns The MPR selector, if found. Else it returns a null pointer.
+     * @param mainAddr The MPR selector main address.
+     * @returns The MPR selector, if found. Else it returns a null pointer.
      */
     MprSelectorTuple* FindMprSelectorTuple(const Ipv4Address& mainAddr);
 
     /**
      * Erases a MPR selector tuple.
-     * \param tuple The MPR selector tuple.
+     * @param tuple The MPR selector tuple.
      */
     void EraseMprSelectorTuple(const MprSelectorTuple& tuple);
 
     /**
      * Erases all MPR selector tuples belonging to the same address.
-     * \param mainAddr The MPR selector main address.
+     * @param mainAddr The MPR selector main address.
      */
     void EraseMprSelectorTuples(const Ipv4Address& mainAddr);
 
     /**
      * Inserts a MPR selector tuple
-     * \param tuple The MPR selector tuple.
+     * @param tuple The MPR selector tuple.
      */
     void InsertMprSelectorTuple(const MprSelectorTuple& tuple);
 
     /**
      * Prints the MPR selector sets.
-     * \return a string with the output data.
+     * @return a string with the output data.
      */
     std::string PrintMprSelectorSet() const;
 
@@ -90,7 +90,7 @@
 
     /**
      * Gets the neighbor set.
-     * \returns The neighbor set.
+     * @returns The neighbor set.
      */
     const NeighborSet& GetNeighbors() const
     {
@@ -99,7 +99,7 @@
 
     /**
      * Gets the neighbor set.
-     * \returns The neighbor set.
+     * @returns The neighbor set.
      */
     NeighborSet& GetNeighbors()
     {
@@ -108,40 +108,40 @@
 
     /**
      * Finds a neighbor tuple.
-     * \param mainAddr The neighbor tuple main address.
-     * \returns The neighbor tuple, if found. Else it returns a null pointer.
+     * @param mainAddr The neighbor tuple main address.
+     * @returns The neighbor tuple, if found. Else it returns a null pointer.
      */
     NeighborTuple* FindNeighborTuple(const Ipv4Address& mainAddr);
 
     /**
      * Finds a symmetrical neighbor tuple.
-     * \param mainAddr The neighbor tuple main address.
-     * \returns The neighbor tuple, if found. Else it returns a null pointer.
+     * @param mainAddr The neighbor tuple main address.
+     * @returns The neighbor tuple, if found. Else it returns a null pointer.
      */
     const NeighborTuple* FindSymNeighborTuple(const Ipv4Address& mainAddr) const;
 
     /**
      * Finds a neighbor tuple.
-     * \param mainAddr The neighbor tuple main address.
-     * \param willingness The neighbor willingness.
-     * \returns The neighbor tuple, if found. Else it returns a null pointer.
+     * @param mainAddr The neighbor tuple main address.
+     * @param willingness The neighbor willingness.
+     * @returns The neighbor tuple, if found. Else it returns a null pointer.
      */
     NeighborTuple* FindNeighborTuple(const Ipv4Address& mainAddr, Willingness willingness);
 
     /**
      * Erases a neighbor tuple.
-     * \param neighborTuple The neighbor tuple.
+     * @param neighborTuple The neighbor tuple.
      */
     void EraseNeighborTuple(const NeighborTuple& neighborTuple);
     /**
      * Erases a neighbor tuple.
-     * \param mainAddr The neighbor tuple main address.
+     * @param mainAddr The neighbor tuple main address.
      */
     void EraseNeighborTuple(const Ipv4Address& mainAddr);
 
     /**
      * Inserts a neighbor tuple.
-     * \param tuple The neighbor tuple.
+     * @param tuple The neighbor tuple.
      */
     void InsertNeighborTuple(const NeighborTuple& tuple);
 
@@ -149,7 +149,7 @@
 
     /**
      * Gets the 2-hop neighbor set.
-     * \returns The 2-hop neighbor set.
+     * @returns The 2-hop neighbor set.
      */
     const TwoHopNeighborSet& GetTwoHopNeighbors() const
     {
@@ -158,7 +158,7 @@
 
     /**
      * Gets the 2-hop neighbor set.
-     * \returns The 2-hop neighbor set.
+     * @returns The 2-hop neighbor set.
      */
     TwoHopNeighborSet& GetTwoHopNeighbors()
     {
@@ -167,32 +167,32 @@
 
     /**
      * Finds a 2-hop neighbor tuple.
-     * \param neighbor The neighbor main address.
-     * \param twoHopNeighbor The 2-hop neighbor main address.
-     * \returns The 2-hop neighbor tuple, if found. Else it returns a null pointer.
+     * @param neighbor The neighbor main address.
+     * @param twoHopNeighbor The 2-hop neighbor main address.
+     * @returns The 2-hop neighbor tuple, if found. Else it returns a null pointer.
      */
     TwoHopNeighborTuple* FindTwoHopNeighborTuple(const Ipv4Address& neighbor,
                                                  const Ipv4Address& twoHopNeighbor);
 
     /**
      * Erases a 2-hop neighbor tuple.
-     * \param tuple The 2-hop neighbor tuple.
+     * @param tuple The 2-hop neighbor tuple.
      */
     void EraseTwoHopNeighborTuple(const TwoHopNeighborTuple& tuple);
     /**
      * Erases the 2-hop neighbor tuples with the same 1-hop neighbor.
-     * \param neighbor The neighbor address.
+     * @param neighbor The neighbor address.
      */
     void EraseTwoHopNeighborTuples(const Ipv4Address& neighbor);
     /**
      * Erases the 2-hop neighbor tuples with matching predicates.
-     * \param neighbor The neighbor address.
-     * \param twoHopNeighbor The 2-hop neighbor main address.
+     * @param neighbor The neighbor address.
+     * @param twoHopNeighbor The 2-hop neighbor main address.
      */
     void EraseTwoHopNeighborTuples(const Ipv4Address& neighbor, const Ipv4Address& twoHopNeighbor);
     /**
      * Inserts a 2-hop neighbor tuple.
-     * \param tuple The 2-hop neighbor tuple.
+     * @param tuple The 2-hop neighbor tuple.
      */
     void InsertTwoHopNeighborTuple(const TwoHopNeighborTuple& tuple);
 
@@ -200,20 +200,20 @@
 
     /**
      * Checks if there's an MPR with a specific address.
-     * \param address The address to test.
-     * \return True if a MPR with the specified address exists.
+     * @param address The address to test.
+     * @return True if a MPR with the specified address exists.
      */
     bool FindMprAddress(const Ipv4Address& address);
 
     /**
      * Sets the MPR set to the one specified.
-     * \param mprSet The new MPR set.
+     * @param mprSet The new MPR set.
      */
     void SetMprSet(MprSet mprSet);
 
     /**
      * Gets the MPR set.
-     * \return The MPR set.
+     * @return The MPR set.
      */
     MprSet GetMprSet() const;
 
@@ -221,20 +221,20 @@
 
     /**
      * Finds a duplicate tuple.
-     * \param address The duplicate tuple address.
-     * \param sequenceNumber The duplicate tuple sequence number.
-     * \returns The duplicate tuple, or a null pointer if no match.
+     * @param address The duplicate tuple address.
+     * @param sequenceNumber The duplicate tuple sequence number.
+     * @returns The duplicate tuple, or a null pointer if no match.
      */
     DuplicateTuple* FindDuplicateTuple(const Ipv4Address& address, uint16_t sequenceNumber);
 
     /**
      * Erases a duplicate tuple.
-     * \param tuple The tuple to erase.
+     * @param tuple The tuple to erase.
      */
     void EraseDuplicateTuple(const DuplicateTuple& tuple);
     /**
      * Inserts a duplicate tuple.
-     * \param tuple The tuple to insert.
+     * @param tuple The tuple to insert.
      */
     void InsertDuplicateTuple(const DuplicateTuple& tuple);
 
@@ -242,7 +242,7 @@
 
     /**
      * Gets the Link set.
-     * \return The Link set.
+     * @return The Link set.
      */
     const LinkSet& GetLinks() const
     {
@@ -251,26 +251,26 @@
 
     /**
      * Finds a link tuple.
-     * \param ifaceAddr The interface address of the link.
-     * \returns The link tuple, or a null pointer if no match.
+     * @param ifaceAddr The interface address of the link.
+     * @returns The link tuple, or a null pointer if no match.
      */
     LinkTuple* FindLinkTuple(const Ipv4Address& ifaceAddr);
     /**
      * Finds a symmetrical link tuple.
-     * \param ifaceAddr The interface address of the link.
-     * \param time The time at which the link should be considered symmetrical.
-     * \returns The link tuple, or a null pointer if no match.
+     * @param ifaceAddr The interface address of the link.
+     * @param time The time at which the link should be considered symmetrical.
+     * @returns The link tuple, or a null pointer if no match.
      */
     LinkTuple* FindSymLinkTuple(const Ipv4Address& ifaceAddr, Time time);
     /**
      * Erases a link tuple.
-     * \param tuple The tuple to erase.
+     * @param tuple The tuple to erase.
      */
     void EraseLinkTuple(const LinkTuple& tuple);
     /**
      * Inserts a link tuple.
-     * \param tuple The tuple to insert.
-     * \returns A reference to the inserted tuple.
+     * @param tuple The tuple to insert.
+     * @returns A reference to the inserted tuple.
      */
     LinkTuple& InsertLinkTuple(const LinkTuple& tuple);
 
@@ -278,7 +278,7 @@
 
     /**
      * Gets the topology set.
-     * \returns The topology set.
+     * @returns The topology set.
      */
     const TopologySet& GetTopologySet() const
     {
@@ -287,32 +287,32 @@
 
     /**
      * Finds a topology tuple.
-     * \param destAddr The destination address.
-     * \param lastAddr The address of the node previous to the destination.
-     * \returns The topology tuple, or a null pointer if no match.
+     * @param destAddr The destination address.
+     * @param lastAddr The address of the node previous to the destination.
+     * @returns The topology tuple, or a null pointer if no match.
      */
     TopologyTuple* FindTopologyTuple(const Ipv4Address& destAddr, const Ipv4Address& lastAddr);
     /**
      * Finds a topology tuple.
-     * \param lastAddr The address of the node previous to the destination.
-     * \param ansn The Advertised Neighbor Sequence Number.
-     * \returns The topology tuple, or a null pointer if no match.
+     * @param lastAddr The address of the node previous to the destination.
+     * @param ansn The Advertised Neighbor Sequence Number.
+     * @returns The topology tuple, or a null pointer if no match.
      */
     TopologyTuple* FindNewerTopologyTuple(const Ipv4Address& lastAddr, uint16_t ansn);
     /**
      * Erases a topology tuple.
-     * \param tuple The tuple to erase.
+     * @param tuple The tuple to erase.
      */
     void EraseTopologyTuple(const TopologyTuple& tuple);
     /**
      * Erases a topology tuple.
-     * \param lastAddr The address of the node previous to the destination.
-     * \param ansn The Advertised Neighbor Sequence Number.
+     * @param lastAddr The address of the node previous to the destination.
+     * @param ansn The Advertised Neighbor Sequence Number.
      */
     void EraseOlderTopologyTuples(const Ipv4Address& lastAddr, uint16_t ansn);
     /**
      * Inserts a topology tuple.
-     * \param tuple The tuple to insert.
+     * @param tuple The tuple to insert.
      */
     void InsertTopologyTuple(const TopologyTuple& tuple);
 
@@ -320,7 +320,7 @@
 
     /**
      * Gets the interface association set.
-     * \returns The interface association set.
+     * @returns The interface association set.
      */
     const IfaceAssocSet& GetIfaceAssocSet() const
     {
@@ -329,7 +329,7 @@
 
     /**
      * Gets a mutable reference to the interface association set.
-     * \returns The interface association set.
+     * @returns The interface association set.
      */
     IfaceAssocSet& GetIfaceAssocSetMutable()
     {
@@ -338,31 +338,31 @@
 
     /**
      * Finds a interface association tuple.
-     * \param ifaceAddr The interface address.
-     * \returns The interface association  tuple, or a null pointer if no match.
+     * @param ifaceAddr The interface address.
+     * @returns The interface association  tuple, or a null pointer if no match.
      */
     IfaceAssocTuple* FindIfaceAssocTuple(const Ipv4Address& ifaceAddr);
     /**
      * Finds a interface association tuple.
-     * \param ifaceAddr The interface address.
-     * \returns The interface association  tuple, or a null pointer if no match.
+     * @param ifaceAddr The interface address.
+     * @returns The interface association  tuple, or a null pointer if no match.
      */
     const IfaceAssocTuple* FindIfaceAssocTuple(const Ipv4Address& ifaceAddr) const;
     /**
      * Erases a interface association tuple.
-     * \param tuple The tuple to erase.
+     * @param tuple The tuple to erase.
      */
     void EraseIfaceAssocTuple(const IfaceAssocTuple& tuple);
     /**
      * Inserts a interface association tuple.
-     * \param tuple The tuple to insert.
+     * @param tuple The tuple to insert.
      */
     void InsertIfaceAssocTuple(const IfaceAssocTuple& tuple);
 
     // Host-Network Association
     /**
      * Gets the association set known to the node.
-     * \returns The association set known to the node.
+     * @returns The association set known to the node.
      */
     const AssociationSet& GetAssociationSet() const // Associations known to the node
     {
@@ -371,7 +371,7 @@
 
     /**
      * Gets the association set the node has.
-     * \returns The association set the node has.
+     * @returns The association set the node has.
      */
     const Associations& GetAssociations() const // Set of associations that the node has
     {
@@ -380,40 +380,40 @@
 
     /**
      * Finds an association tuple.
-     * \param gatewayAddr The gateway address.
-     * \param networkAddr The network address.
-     * \param netmask The network mask.
-     * \returns The association  tuple, or a null pointer if no match.
+     * @param gatewayAddr The gateway address.
+     * @param networkAddr The network address.
+     * @param netmask The network mask.
+     * @returns The association  tuple, or a null pointer if no match.
      */
     AssociationTuple* FindAssociationTuple(const Ipv4Address& gatewayAddr,
                                            const Ipv4Address& networkAddr,
                                            const Ipv4Mask& netmask);
     /**
      * Erases a known association tuple.
-     * \param tuple The tuple to erase.
+     * @param tuple The tuple to erase.
      */
     void EraseAssociationTuple(const AssociationTuple& tuple);
     /**
      * Inserts a known association tuple.
-     * \param tuple The tuple to insert.
+     * @param tuple The tuple to insert.
      */
     void InsertAssociationTuple(const AssociationTuple& tuple);
     /**
      * Erases an association.
-     * \param tuple The tuple to erase.
+     * @param tuple The tuple to erase.
      */
     void EraseAssociation(const Association& tuple);
     /**
      * Inserts an association tuple.
-     * \param tuple The tuple to insert.
+     * @param tuple The tuple to insert.
      */
     void InsertAssociation(const Association& tuple);
 
     /**
      * Returns a vector of all interfaces of a given neighbor, with the
      * exception of the "main" one.
-     * \param neighborMainAddr The neighbor main address
-     * \returns A container of the neighbor addresses (excluding the main one).
+     * @param neighborMainAddr The neighbor main address
+     * @returns A container of the neighbor addresses (excluding the main one).
      */
     std::vector<Ipv4Address> FindNeighborInterfaces(const Ipv4Address& neighborMainAddr) const;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/test/bug780-test.cc ns-3.44/src/olsr/test/bug780-test.cc
--- ns-3.43/src/olsr/test/bug780-test.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/test/bug780-test.cc	2025-03-09 16:55:49.683372300 -0700
@@ -34,7 +34,7 @@
 
 Bug780Test::Bug780Test()
     : TestCase("Test OLSR bug 780"),
-      m_time(Seconds(200.0)),
+      m_time(Seconds(200)),
       m_seq(0),
       m_recvCount(0)
 {
@@ -89,8 +89,8 @@
     Ptr<SimpleNetDevice> nd2 = DynamicCast<SimpleNetDevice>(nd.Get(2));
     Ptr<SimpleChannel> ch = DynamicCast<SimpleChannel>(nd.Get(0)->GetChannel());
 
-    Simulator::Schedule(Seconds(100.0), &SimpleChannel::BlackList, ch, nd0, nd2);
-    Simulator::Schedule(Seconds(100.0), &SimpleChannel::BlackList, ch, nd2, nd0);
+    Simulator::Schedule(Seconds(100), &SimpleChannel::BlackList, ch, nd0, nd2);
+    Simulator::Schedule(Seconds(100), &SimpleChannel::BlackList, ch, nd2, nd0);
 
     // 3. Setup ping
     m_socket = Socket::CreateSocket(c.Get(0), TypeId::LookupByName("ns3::Ipv4RawSocketFactory"));
